import yt_dlp
import tkinter as tk
from tkinter import messagebox

class YouTubeVideoDownloader:
    def __init__(self, root):
        self.root = root
        self.root.title("YouTube Video Downloader")
        self.root.geometry("500x200")

        self.url_label = tk.Label(root, text="Enter YouTube Video URL:")
        self.url_label.pack()

        self.url_entry = tk.Entry(root, width=50)
        self.url_entry.pack()

        self.download_button = tk.Button(root, text="Download Video", command=self.download_video)
        self.download_button.pack()

        self.status_label = tk.Label(root, text="")
        self.status_label.pack()

        self.ydl_opts = {}

    def download_video(self):
        video_url = self.url_entry.get()
        if video_url:
            try:
                with yt_dlp.YoutubeDL(self.ydl_opts) as ydl:
                    ydl.download([video_url])
                self.status_label.config(text="Video downloaded successfully!", fg="green")
            except Exception as e:
                self.status_label.config(text="Error: " + str(e), fg="red")
        else:
            self.status_label.config(text="Please enter a valid YouTube video URL", fg="red")

        self.url_entry.delete(0, tk.END)

    def run(self):
        self.root.mainloop()

if __name__ == "__main__":
    root = tk.Tk()
    app = YouTubeVideoDownloader(root)
    app.run()
